/**
  *  \file planetscentral/host/rank.h
  *  \brief Host: Ranks
  */
#ifndef C2SERVER_PLANETSCENTRAL_HOST_RANK_H
#define C2SERVER_PLANETSCENTRAL_HOST_RANK_H

#include "game/struct.h"
#include "cpluslib/types.h"
#include "game/playerset.h"

typedef int32_t Rank_t[NUM_PLAYERS];

/** c2ref.txt parser. */
class RefereeFileReader {
 public:
    RefereeFileReader();
    void processLine(string_t line);

    bool end;
    Rank_t ranks;
};

void initRanks(Rank_t& ranks, int32_t value = 0x7FFFFFFF);
void copyRanks(Rank_t& dest, const Rank_t& src);
void compactRanks(Rank_t& dest, const Rank_t& rank, const Rank_t& score, GPlayerSet players);

#endif
