/**
  *  \file planetscentral/talk/group.h
  */
#ifndef C2SERVER_PLANETSCENTRAL_TALK_GROUP_H
#define C2SERVER_PLANETSCENTRAL_TALK_GROUP_H

#include "planetscentral/dbclient/dbclient.h"
#include "planetscentral/dbclient/dbsubtree.h"
#include "int/value.h"

class RenderState;

class Group {
 public:
    Group(DbClient& client, string_t groupId);

    DbHash            header();
    DbHashStringField name();
    DbHashStringField description();
    DbHashStringField key();
    DbHashIntField    unlisted();
    bool              exists();

    DbIntSet          forums();
    DbStringSet       subgroups();

    string_t          getParent();
    void              setParent(string_t newParent);

    IntValue*         describe(RenderState& state);

 private:
    DbSubtree group;
    string_t id;
};

#endif
